<template>
  <v-container>



    <v-row>
      <v-row>
        <v-col md="11">
          <h1 class="font-weight-light text-center">Ordenes de compra</h1>
        </v-col>


      </v-row>

      <v-col md="12">
        <v-data-table
            :headers="headers2"
            :items="desserts2"
            :items-per-page="5"


        >

          <template v-slot:item.fecha="{item}">

            <span @click="modal">{{item.fecha}}</span>

          </template>


          <template v-slot:item.detalle="{item}">

            <v-icon>mdi-message-text-outline</v-icon>

          </template>


        </v-data-table>

      </v-col>
    </v-row>



    <v-dialog v-model="detallefechas" width="680px">
      <v-card color="white">

        <v-app-bar color="#e3fcfd">
          <v-toolbar-title class="title font-weight-light">Detalle de pedido</v-toolbar-title>
        </v-app-bar>

        <v-row justify="center">

          <v-col md="1">
            <v-btn
                color="blue-grey"
                class="ma-2 white--text"
                fab



            >
              <v-icon dark>
                mdi-download

              </v-icon>
            </v-btn>
          </v-col>





        </v-row>

        <v-row justify="center">


          <v-col md="7">
            <v-data-table
                :headers="headers"
                :items="desserts"
                :items-per-page="5"

            >

              <template v-slot:item.detalle="{item}">

                <v-icon>mdi-message-text-outline</v-icon>

              </template>


            </v-data-table>

          </v-col>
        </v-row>

      </v-card>
    </v-dialog>
  </v-container>




</template>

<script>
export default {
  name: "OrdenesCompra",
  data () {
    return {


      detallefechas:false,

      headers: [
        {
          text: 'Codigo de producto',
          align: 'start',
          sortable: false,
          value: 'codProducto',

        },
        { text: 'Nombre', value: 'NombreProducto' ,  },
        { text: 'Total(kg)', value: 'Total',  },


      ],
      desserts: [
        {
          codProducto:'02567',
          NombreProducto:'Manzana Roja',
          Total:'25479'
        },
        {
          codProducto:'25879',
          NombreProducto:'Aguacate Hass',
          Total:'2687'
        },
        {
          codProducto:'36587',
          NombreProducto:'Chile Jalapeño',
          Total:'3897'
        }

      ],


      headers2: [
        {
          text: 'Fecha',
          align: 'start',
          sortable: false,
          value: 'fecha',
          class:'text-decoration-underline'

        },
        { text: 'Cantidad (kg)', value: 'cantidad' ,  },

        { text: 'Cantidad Prodcutos', value: 'cantidadp' ,  },





      ],
      desserts2: [
        {
          fecha:'Lunes 28 de septiembre 2020 ',
          cantidad:'32063',
          detalle:'58',
          cantidadp:'3'
        },
        {
          fecha:'Martes 29 de septiembre 2020 ',
          cantidad:'12800',
          detalle:'58',
          cantidadp:'27'
        },
        {
          fecha:'Miercoles 30 de septiembre 2020 ',
          cantidad:'40545',
          detalle:'58',
          cantidadp:'34'
        },
        {
          fecha:'Jueves 1 de octubre 2020 ',
          cantidad:'12800',
          detalle:'58',
          cantidadp:'14'
        },
        {
          fecha:'Viernes 2 de octubre 2020 ',
          cantidad:'12800',
          detalle:'58',
          cantidadp:'21'
        },
        {
          fecha:'Sabado 3 de octubre 2020 ',
          cantidad:'18966',
          detalle:'58',
          cantidadp:'12'
        },

        {
          fecha:'Domingo 4 de octubre 2020 ',
          cantidad:'10258',
          detalle:'58',
          cantidadp:'10'
        },

        {
          fecha:'Lunes 5 de octubre 2020 ',
          cantidad:'14789',
          detalle:'58',
          cantidadp:'4'
        },

      ],
    }
  },

  methods:{
    modal:function (){
      this.detallefechas = true;

    }
  }




}
</script>

<style scoped>

</style>